.switch-container {
  align-items: baseline;
  flex-direction: row;
  align-self: stretch;
}

.toggle-text {
  font-size: var(--text-size-header-medium);
  text-overflow: ellipsis;
  font-weight: 600;
  overflow: hidden;
  white-space: nowrap;
}

ion-toggle {
  --size: var(--text-size-header-medium);
  --handle-background-checked: var(--Maximum-Background);
  --track-background: var(--Hint-Foreground);
  --track-background-checked: var(--Main-Foreground);
  --handle-width: 15px;
  --handle-height: 15px;
  --handle-max-height: auto;
  --handle-spacing: 5px;
}

ion-toggle::part(track) {
  width: 2.75rem;
  height: 1.5rem;
  overflow: visible;
}

.flexible-line {
  background-color: var(--Hint-Foreground);
  height: 2px;
  flex-grow: 1;
}
